
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ADO数据访问模型初学者入门 / iVAN</title>

    <meta name="description" content="ADO数据访问模型初学者入门 ado|初学|访问|数据 ADO(ActiveXDataObjects)是Microsoft提供和建议使用的新型的数据访问接口,具体实现为Automation.这样,程序员可以在各种支持Automation的开发环境下方便地访问ADO对象,如VisualBasic.VisualC++.VisualJ++及Delphi等.ADO被实现为OLEDB之上的一个薄层,这使得ADO可以有更快的访问速度,更易使用,同时更节省资源.值得注意的是,对于VisualStudio6.0的用户而言,现在提供的ADO2">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ADO数据访问模型初学者入门</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ado|初学|访问|数据</p>
<p>　　ADO（ActiveXDataObjects）是Microsoft提供和建议使用的新型的数据访问接口，具体实现为Automation。这样，程序员可以在各种支持Automation的开发环境下方便地访问ADO对象，如VisualBasic、VisualC++、VisualJ++及Delphi等。ADO被实现为OLEDB之上的一个薄层，这使得ADO可以有更快的访问速度，更易使用，同时更节省资源。值得注意的是，对于VisualStudio6.0的用户而言，现在提供的ADO2.0要比VisualStudio5.0时代的ADO1.5更加完整。这意味着程序员可以更为广泛地使用ADO接口，甚至在所有的基于Windows平台的数据访问中使用它。比如对RDS（前身是ADC）的支持，可以方便的构建高效的Web应用。</p>
<p>　　<strong>一、对ADO对象的主要操作</strong></p>
<p>　　对ADO对象的主要操作，同DAO、RDO库的实现基本相同。主要包括6个方面：</p>
<p>　　1.连接到数据源。这是可选的、通常涉及ADO的Connection对象。</p>
<p>　　2.向数据源提交命令。通常涉及ADO的Command对象。在查询中可以与参数对象（Parameter）协同使用。</p>
<p>　　3.执行命令，比如一个SELECT脚本。</p>
<p>　　4.如果提交的命令有结果返回，可以通过ADO的Recordset对象对结果进行操作，数据存储在缓存中。</p>
<p>　　5.如果合适，可将缓存中被修改的数据更新到物理的存储上。</p>
<p>　　6.提供错误检测。通常涉及ADO的Error对象。</p>
<p>　　以程序员的视角来看，ADO、DAO和RDO三者的对象名称不很相同。但使用ADO对象要比DAO和RDO简单得多。最主要的一点在于，程序员不用像在使用DAO和RDO那样要从对象模型的顶层开始一步步的创建子对象。因此，ADO提供了一种更灵活的编程方式。</p>
<p>　　<strong>二、ADO中主要对象的功能</strong></p>
<p>　　Connection对象，表示了一个到数据源的会话。使用Connection对象的成员，可以使用相应的属性打开到数据源的连接，设置游标的位置，设置默认的当前数据库，设置将使用的OLEDBProvider，直接提交SQL脚本等。值得注意的是，在提交SQL脚本的任务时，不用创建一个Command对象，就可完成查询。另外，对Connection对象的创建是同其他对象无关的。Command对象，可被用于查询数据库并返回结果在Recordset对象中。也可以进行批操作和操纵数据库的结构，当然，这需要使用的OLEDBProvider提供相应的支持。此外，可以将一个激活的Connection对象绑定到Command对象的ActiveConnection属性，这使得多个Command对象实例可以共用一个Connection对象。</p>
<p>　　Recordset对象，用来封装查询的结果，可称为结果集。</p>
<p>　　Field对象，用来表达一行结果中各子段的类型和值。</p>
<p>　　Error对象，用来检测和判断在数据库操作中出现的错误，比如连接失败。 在ADO中，许多对象名后多了一个"s"，比如Error-&gt;Errors，Field-&gt;Fields等等。添加"s"意味着是相应对象的Collection（集合）对象，比如Errors是Error对象的Collection对象。Collection有点像数组（Array），但不同的是，Collection可以以不同类型的数据或对象作为自己的元素，而数组中的各元素通常都是相同类型的。所以，在看到一个对象名最后是"s"，通常表明这是一个Collection对象，比如Errors中的各元素是由Error对象的实例组成的。</p>
<p>　<strong>　三、简单的例子</strong></p>
<p>　　现在，我们在经过了前面的铺垫后，终于可以进入写代码的过程了。下面是一系列在VisualBasic中编写的代码片段，其中对ADO的操纵完全用代码来实现。在开始前，请不熟悉ActiveXAutomation的读者牢记，我们正在使用的，是被实现为ActiveXAutomation的ADO组件。1.打开Connect.ion对象</p>
<p>　　打开一个到数据源的连接，即Connection对象的VB代码如下：</p>
<p>Dim cn As ADODB.Connection<br />’声明ADODB.Connection对象变量<br />Dim strCN As String<br />’声明存放连接串的字符串变量<br />Set cn= New Connection<br />’实例化Connection对象<br />’生成连接串（ConnectionString）<br />strCN="Provider=Microsoft.Jet.Oledb.3.51;<br />UserID=Admin;"&amp;_<br />"DataSource=D:\MicrosoftVisual<br />Studio\VB98\Nwind.mdb;"<br />cn.Open strCN ’调用Connection对象的方法Open连接数据源</p>
<p>　　以上代码在访问ADO对象时，使用了前绑定（Early-bind），实现前绑定需要从VisualBasic的Project菜单下选择Reference菜单项，并选择MicrosoftActiveXDataObjects2.0Library。在程序中声明的strCN变量中，连接串属性Provider标识了OLEDBProvider为OLEDBProviderforMicrosoftJet，因为我们访问的是MicrosoftAccess数据文件，使用MicrosoftJetEngine可以获得比ODBC更好的性能。在试验以上代码时有两个地方要注意。首先，要根据系统安装的OLEDBProviderforMicrosoftJet服务选择相应版本，可能是3.51，也可能是4.0。在本例中使用的是3.51版本。如果使用4.0版本，首先需要将Provider属性改为"Microsoft.Jet.Oledb.4.0"；其次，DataSource属性标识了所要访问的数据文件的路径，要根据自己的安装情况作出适当的调整。文件Nwind.mdb通常被VisualStudio默认安装，一般放在Visual Basic的工作目录下。</p>
<p>　　除了OLEDB Provider for MicrosoftJet以外，Visual Studio6.0还提供了以下的OLEDBProvider，如下所示。</p>
<table>
<tr>
<td>OLEDB Provider类型</td>
<td>数据源类型 </td>
</tr>
<tr>
<td>Microsoft OLEDB Provider for ODBC</td>
<td>databases</td>
</tr>
<tr>
<td>Microsoft OLEDB Provider for Microsoft Index Server</td>
<td>Microsoft(r) Index Server</td>
</tr>
<tr>
<td>Microsoft OLEDB Provider for Microsoft Active Directory Service</td>
<td>Microsoft(r) Active Directory Service</td>
</tr>
<tr>
<td>Microsoft OLEDB Provider for SQLServer Microsoft(r) SQLServer</td>
<td>Microsoft OLEDB Provider for Oracle</td>
</tr>
<tr>
<td>Oracle</td>
<td>databases</td>
</tr>
</table>
<p>　　这意味着使用ADO接口可以方便地访问以上的各种数据源，要做的就是选择适当的OLEDB Provider。除了使用Connection对象的Open方法以外，还可通过Recordset对象的Open方法快捷地创建到数据源的连接。这充分体现了ADO的灵活性。</p>
<p>　　2.创建Command对象</p>
<p>Dim cmd As ADODB.Command</p>
<p>Set cmd=New Command’实例化Command对象</p>
<p>　　3.执行查询</p>
<p>　　以Command对象为例。</p>
<p>Dim rs As New ADODB.Recordset</p>
<p>Set cmd.ActiveConnection=cn’绑定激活的Connection对象实例</p>
<p>cmd.CommandText="SELECT*from Customers"’生成SQL脚本</p>
<p>Set rs=cmd.Execute’执行查询</p>
<p>　　上述的代码仅仅是一种查询途径，此外，ADO的Connection对象的Execute方法和Recordset对象的Open方法也提供了查询能力。返回的结果可以被保存在一个Recordset对象实例中以便后续的数据处理和操纵。例如：</p>
<p><code>Dim rs As NewADODB.Recordset</p>
<p>rs.Open cmd,cn,adOpenDymanic,adLockBatchOptimistic</code><br />　　另外在SQL脚本的生成方式上，通常可以借助Parameters/Parameter对象来完成。</p>
<p>　　4.显示和操纵数据</p>
<p>　　查询结果由Recordset对象封装。对数据的操纵可以通过Recordset对象提供的成员（属性和方法）来完成。</p>
<p>rs.MoveFirst</p>
<p>Do While Not rs.EOF’判断EOF标记属性（Endoffile）</p>
<p>Debug.Print rs!CustomerID &amp; vbTab &amp; rs!CompanyName &amp; _</p>
<p>vbTab &amp; rs!ContactName &amp; vbTab &amp; rs!ContactTitle</p>
<p>rs.MoveNext’将游标指针移到下一条记录</p>
<p>Loop</p>
<p>　　上述代码将Recordset中的各行记录打印在Visual Basic的Immediate Window中。为了看到打印的结果，可以在上述代码之后，增加一条Stop语句，以便进入Debug状态。</p>
<p>　　5.更新记录</p>
<p>　　使用Recordset对象来完成Update操作。</p>
<p>　　rs.Close’关闭之前建立的结果集</p>
<p>　　’打开新的结果集，具有写操作权限</p>
<p>rs.Open"Customers",cn,adOpenDynamic,adLockOptimistic,adCmdTable</p>
<p>rs.MoveFirst’虽无必要，但可能是一个良好的习惯</p>
<p>rs!CompanyName="Microsoft"’对相应字段赋予新值</p>
<p>rs.Update’在物理存储上生效</p>
<p>　　除了Update以外，写操作还包括AddNew（添加一条新记录）和Delete（删除一条新记录）。另外，Recordset支持批处理，但这些特征需要由低层的OLEDBProvider支持。当写操作出现错误时，可根据错误描述（访问ADO的Error或VisualBasic的Err对象）来判断原因。另一个需要注意的是，当使用Recordset对象完成写操作时，需要预先指定Recordset对象实例非只读。</p>
<p>　　6.收尾工作</p>
<p>　　在这个阶段应该显式的释放相应的资源，如果不做的话，通常VisualBasic会自动释放和回收资源。但对于一个有良好编程习惯的程序员来说，应该主动地做收尾工作，就像下面的代码一样。</p>
<p>rs.Close</p>
<p>Set rs=Nothing</p>
<p>Set cmd=Nothing</p>
<p>cn.Close</p>
<p>Set cn=Nothing</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-24 07:44:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/connection/" title="connection">connection</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/microsoft/" title="microsoft">microsoft</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e6%ba%90/" title="数据源">数据源</a>, <a href="https://www.iamivan.net/tag/recordset/" title="recordset">recordset</a>, <a href="https://www.iamivan.net/tag/ado/" title="ado">ado</a>, <a href="https://www.iamivan.net/tag/oledb-%e8%bf%9e%e6%8e%a5%e4%b8%b2%e7%9a%84%e6%a0%bc%e5%bc%8f/" title="oledb 连接串的格式">oledb 连接串的格式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ADO数据访问模型初学者入门的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrLB4z.html" rel="bookmark">利用Dojo Data开发统一的数据访问模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前,企业内部的数据量正快速膨胀,客户端和服务器端之间交换的数据格式也是多种多样.由于 Web2.0.RIA 的快速发展,在客户端处理数据逐渐成为一种趋势,但是基于 XMLHTTPRequest 的一般 Ajax 客户端程序必须由 Web 开发人员自己编写处理各种数据格式的代码.这样,不仅加重了客户端逻辑的复杂性,而且降低了程序的可维护性和可扩展性.而 Dojo Data 库旨在为不同的数据格式提供一种统一的数据访问模型,使得数据的读写都采用统一的接口,从而有利于程序的移植和维护.通过阅读本文读			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDl3Bz.html" rel="bookmark">体验ASP&period;NET 2&period;0 中的数据访问控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|访问|控件|数据 简介 数据访问一直是开发 Web 应用程序的一个关键问题.几乎每个商业应用程序都需要数据驱动的 Web 页面.由于数据访问如此普遍,开发人员不断地为简单的数据库任务重新生成复杂的代码就显得毫无意义了.开发人员需要从格式各异的不同数据源中快速访问数据.幸运的是,ASP.NET 2.0 中新增的数据访问控件和 ADO.NET 2.0 解决了这一问题. 对于传统的 ASP 和 ASP.NET 1.1 应用程序而言,开发人员不得不创建代码访问和更新数据库,将检索到的数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQZNOM.html" rel="bookmark">&period;NET 数据访问架构指南&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				访问|架构|数据 概述:本文提供了在多层.NET应用程序中实施基于ADO.NET的数据访问层的指导原则.其重点是一组通用数据访问任务和方案,并指导你选择最合适的途径和技术(68张打印页). 目录 ADO.NET简介 管理数据库链接 错误处理 性能 通过防火墙建立链接 处理 BLOBs 事务处理 数据分页 简介 如果你在为.NET应用程序设计数据访问层,那么就应该把 Microsoft ADO.NET用作数据访问模型.ADO.NET扩展丰富,并且支持结合松散的数据访问需求.多层Web应用程序及We			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBxdDb.html" rel="bookmark">《敏捷制造&mdash;&mdash;敏捷集成基础结构设计》&mdash;&mdash;2&period;3 集成基础结构数据访问模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 集成基础结构数据访问模型 2.3.1 集成基础结构数据存储结构建模分析 敏捷企业的集成基础结构中计算机系统的主要用途之一便是从数据存储检索数据并将信息显示给用户:在用户更改数据之后系统再将更新内容存入数据库.由于数据存储和用户界面之间的数据流是关键的信息流,因此以往更倾向于将这两部分功能程序捆绑在一起.这样虽然可以减少编码量,但用户界面需要频繁地更改,数据与界面的捆绑使用户界面的更改往往伴随着许多逻辑指令的更改,为此程序工作者平添了诸多不便. Model-View-Controller(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdgN1M.html" rel="bookmark">剖析 ADO&period;NET 批处理更新（深入研究数据访问）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|访问|数据 ADO.NET 应用程序和基础数据源之间的交互基于一个具有双向信道的双体系结构.您可以使用各个特定于提供程序的命令或批处理更新过程来访问数据源,以读取和写入行.在这两种情况下,数据访问都会产生完全双向绑定,并涉及各种不同的对象和方法.您可以使用如 SqlCommand 和 OleDbCommand 等命令类来执行单个命令.可使用数据适配器对象来下载断开连接的数据,提交更新的行集.虽然 &quot;数据集&quot; 是数据适配器用于返回和提交记录块的容器对象,但各个命令通过数据读取器对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Na6Az.html" rel="bookmark">数据访问函数库 for ado&period;net2&period;0</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 源代码和调用演示下载:http://www.cnblogs.com/jyk/archive/2008/04/25/1170979.html 数据访问函数库for ado.net 1.1 的说明:http://www.cnblogs.com/jyk/category/67121.html 由于一直在使用vs2003开发,所以自己使用的数据访问函数库(以下简称:访问库)也就一直没有能够考虑到ado.net2.0.虽然ado.net2.0在调用的时候没有什么变化,但是内部结构却发生了不小的变化,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nNXnz.html" rel="bookmark">ASP&period;NET MVC 5 学习教程：通过控制器访问模型的数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 ASP.NET MVC 5 学习教程:通过控制器访问模型的数据 起飞网 ASP.NET MVC 5 学习教程目录: 添加控制器 添加视图 修改视图和布局页 控制器传递数据给视图 添加模型 创建连接字符串 通过控制器访问模型的数据 生成的代码详解 使用 SQL Server LocalDB Edit方法和Edit视图详解 添加查询 Entity Framework 数据迁移之添加字段 添加验证 Details 和 Delete 方法详解 在本节中,你将新建一个MoviesController			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b22ZkZb.html" rel="bookmark">【译】ASP&period;NET MVC 5 教程 - 6：通过控制器访问模型的数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[译]ASP.NET MVC 5 教程 - 6:通过控制器访问模型的数据 在本节中,你将新建一个MoviesController 类,并编写获取电影数据的代码,使用视图模板将数据展示在浏览器中. 在进行下一步之前,你需要先编译应用程序,否则在添加控制器的时候会出错. 在解决方法资源管理器的Controllers文件夹右键,选择&quot;添加&quot;&gt;&quot;支架&quot;: 在&quot;添加支架&quot;对话框,选择 MVC 5 Controller with read/wri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0Galp.html" rel="bookmark">《Spring Data实战》&mdash;&mdash;第2章　Repository：便利的数据访问层   2&period;1快速入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 Repository:便利的数据访问层 长期以来,实现应用程序的数据访问层一直是件繁琐的工作,因为我们经常需要编写大量的样板式代码,而且贫血(anemic)的领域类并没有按照真正面向对象或领域驱动方式来进行设计.因此Spring Data Repository抽象的目标就是大幅简化各种持久化存储持久层的实现.我们将会使用Spring Data JPA模块作为例子来讨论Repository抽象的基本理念.对于其他类型的存储,可以参考对应的例子. 2.1 快速入门 我们选取领域模型中的Cus			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0QqAp.html" rel="bookmark" class="title">内存池的C&plus;&plus;实现（可能还有小bug）</a>
					<div>
						最近在学习c++程序性能优化,读到内存池部分.自己动手写了一个,小小测试了一下应 该没有问题. 内存块MemoryBlock声明文件 MemoryBlock.h #pragma once #defin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo0GEM.html" rel="bookmark" class="title">SQL Server 2005中Tempdb变化分析</a>
					<div>
						tempdb数据库是SQL Server用于临时或者开关操作的数据库.对tempdb所做的很多优化都是在透明的情况下,让处理加速,本文就介绍tempdb对SQL Server 2005的影响以帮助大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDo0Lp.html" rel="bookmark" class="title">用Dreamweaver mx 2004做弹出窗口</a>
					<div>
						dreamweaver|弹出窗口 我们在浏览一些网页时,经常会看到有的网页弹出一些信息窗口或浏览器窗口来显示一些网站公告或一些广告信息,想知道这些窗口是怎么制作出来的吗?如果你还不曾知道,那么就请看本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKOWab.html" rel="bookmark" class="title">Flash MX 2004实例制作视频教程：《老鼠爱大米》MV制作 &lpar;5&rpar;</a>
					<div>
						教程|视频教程 第 104 节:&lt;老鼠爱大米&gt;MV制作 (5) 课程目标:制作&lt;老鼠爱大米&gt;MV 课程要点:使用Flash MX 2004制作流行歌曲&lt;老鼠爱大米&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRk7xp.html" rel="bookmark" class="title">Spring3&period;2中Bean定义之基于Annotation和Java Code配置方式的源码解析</a>
					<div>
						基于 Annotation 配置 Bean Definition 的源码解读 本系列文章第一部分分析了 Spring 解析 XML 配置文件中 &lt;bean /&gt; 元素的源码,这是 Spri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwlL8z.html" rel="bookmark" class="title">IP子网划分方法</a>
					<div>
						[术语] 1.IP地址:是一个32位的二进制的十进制数表示 如:192.168.1.1--11000000.10101000.00000001.00000001 2.子网掩码:是一个网络位全'1',主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7ABab.html" rel="bookmark" class="title">MVC模式在ASP&period;NET中的应用</a>
					<div>
						介绍 在网上搜寻了很长时间后却不能够找到一个演示ASP.NET的MVC模型的例子. 于是我实现了一个很好的能够领略MVC模型的简单实例. 有关 MVC 在一个传统的应用程序中,一个单一代码要处理所有事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kD0Zz.html" rel="bookmark" class="title">PS合成制作颓废的星空美女图片特效</a>
					<div>
						  效果图构成的元素不是很多,有背景.人物.装饰素材等几部分.合成的时候先把背景做好,然后加入人物并调整好颜色,最后加入一些装饰及高光素材即可. 最终效果 1.首先新建一个1920 * 1080px的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oR13b.html" rel="bookmark" class="title">PHP避免向MySql添加重复记录的实例代码</a>
					<div>
						  最近写了下英文搜索的小偷,为了让蜘蛛更好的享受链接的乐趣,因此使用了入库处理,将最近的搜索写入到mysql中,同时在首页调用这些查询数据,就可以达到网站地图的效果,但是弊端也出现了了,那就是重复记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm7ZVz.html" rel="bookmark" class="title">PS后期快速移除路人技巧</a>
					<div>
						  ps后期快速移除路人技巧 Photoshop 自CS5 开始新增了名为「Content Aware」的功能,加快工作流程,这里会简单讲讲如何利用它来迅速移除途人.上图里有两个不相干路人,由于背景尚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42YePM.html" rel="bookmark" class="title">猎豹浏览器怎么同步收藏夹</a>
					<div>
						  猎豹浏览器怎么同步收藏夹呢?现在的浏览器可以有申请自己的账号来保存自己的资料,比如自己需要的网页.文件等等.而且现在的浏览器在任何地方登陆里面的数据都是同步的,今天小编就给大家分享猎豹浏览器同步收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z423gqM.html" rel="bookmark" class="title">Win7系统如何删除右键多余菜单</a>
					<div>
						  1.按Win+R键,打开运行,输入&quot;regedit&quot;,点击确定; 2.为防止后面操作错误,或者菜单项删除错误,先导出一份注册表.点击&quot;文件&quot;,选择&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN7e4z.html" rel="bookmark" class="title">ORACLE MERGE 介绍</a>
					<div>
						MERGE语句是Oracle9i新增的语法,用来合并UPDATE和INSERT语句. 通过MERGE语句,根据一张表或多表联合查询的连接条件对另外一张表进行查询,连接条件匹配上的进行UPDATE,无法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR3Y3z.html" rel="bookmark" class="title">mysql-MYSQL查询问题，求助？</a>
					<div>
						问题描述 MYSQL查询问题,求助? 我想得到:extension_id a(report_type=0) b(report_type=1) 4 0 1 5 1 1 6 2 0 求助sql语句如何写? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NK66z.html" rel="bookmark" class="title">WCF概要</a>
					<div>
						WCF:Windows Communication Foundation 一.特点概述: 1.统一ASMX, .NET Remoting, 与EnterpriseServices的开发模型:①为各种应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRL8Nb.html" rel="bookmark" class="title">spring mybatis 的注解事务</a>
					<div>
						首先要在 spring-mybatis的配置文件添加 事务支持,和事务annotation支持 注意:如果是mysql请使用innodb innodb 支持事务功能,myisam 不支持. &lt;! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5nyrM.html" rel="bookmark" class="title">互联网金融两条路：阿里抓余额，百度做平台</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 导读:从产品的角度讲,百赚是优于余额宝.有一句正确的废话是马明哲说的,谁能&quot;海量&quot;&quot;高频&quot;地接触客户,谁就拥有金 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWXO7M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;熊猫烧香&rdquo;作者加盟杀毒公司遭拒</a>
					<div>
						熊猫烧香作者李俊黯然离京 □ 对话昔日&quot;毒王&quot; 2007年1月,一个叫做&quot;熊猫烧香&quot;的病毒在网络幽灵般肆虐,不断入侵个人电脑.感染门户网站.击溃数据系统,上千万 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwmKAM.html" rel="bookmark" class="title">link环境下运用codefirst技术制作《网盘软件》，如何生成支付码？如何防止用户故意注册？</a>
					<div>
						问题描述 link环境下运用codefirst技术制作&lt;网盘软件&gt;,如何生成支付码?如何防止用户故意注册? link环境下运用codefirst技术制作&lt;网盘软件&gt;,如何生成支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkKgqM.html" rel="bookmark" class="title">Hishop5&period;2之商品分类全接触</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着商品数量的不断增加,做好商品分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRE1kp.html" rel="bookmark" class="title">关于sql的问题</a>
					<div>
						问题描述 oracle:原:a视图selectstrA1,strA2,strA3fromawherestrA4='aaa'andstrA5='bbb'b视图selectstrB1,strB2fromb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyVL1z.html" rel="bookmark" class="title">《Android 游戏开发大全（第二版）》&mdash;&mdash;6&period;3节益智类游戏</a>
					<div>
						6.3 益智类游戏 Android 游戏开发大全(第二版) 益智游戏(Puzzle Game)是另外一种深受用户欢迎的游戏类型,很多人把益智游戏称作休闲游戏,但实际上很多益智游戏玩起来并不会很&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eVO1b.html" rel="bookmark" class="title">c-&period;h文件里的 美元符号是什么意思</a>
					<div>
						问题描述 .h文件里的 美元符号是什么意思 struct MACS { $int __sizeMAC 1; /** require / $char **MAC 0; /* option */ }; 请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwnyZM.html" rel="bookmark" class="title">3DES一些说明</a>
					<div>
						3DES:是在DES的基础上采用三重DES,即用两个56位的密钥K1,K2,发送方用K1加密,K2解密,再使用K1加密.接收方使用K1解密,K2加密,再使用K1解密, 3DES实现: 主要有CBC,E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeYj8M.html" rel="bookmark" class="title">URLRewriter的一个正则问题，</a>
					<div>
						问题描述 我用URLRewriter,我想要的效果是:当输入www.xxxx.com/111就指向某个页面,比如www.xxxx.com/xx.aspx?id=111而除此以外,网站正常的页面访问还要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xe6vb.html" rel="bookmark" class="title">列名 &amp;amp&semi;amp&semi;&num;x27&semi;ctl00&dollar;MainContent&dollar;TextBox1&amp;amp&semi;amp&semi;&num;x27&semi; 无效</a>
					<div>
						问题描述 前台:&lt;inputtype=&quot;text&quot;id=&quot;tkA&quot;name=&quot;&lt;%#DataBinder.Eval(Container.D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QEadM.html" rel="bookmark" class="title">Vue方法与事件处理器详解&lowbar;javascript技巧</a>
					<div>
						本文实例为大家分享了Vue方法与事件处理器的使用,供大家参考,具体内容如下 按键修饰符 在监听键盘事件时,我们经常需要检测 keyCode.Vue.js 允许为 v-on 添加按键修饰符: &lt;! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6yLgM.html" rel="bookmark" class="title">软件著作权登记，A4的代码行数要50，可以要多大的字体word才能有50行</a>
					<div>
						问题描述 软件著作权登记,A4每页的代码行数要50,可是要多大的字体word才能有50行.我把字体设置到7.5一页也只能有44行,如果再小都看不清了.各位前辈,这个word如何才能做到,一行可以50行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nkevp.html" rel="bookmark" class="title">8月车辆通行费收入增22&percnt;</a>
					<div>
						楚天高速(600035)公告公司2010年8月份车辆通行费收入及折算全程交通量数据.2010年8月份公司车辆通行费收入为7915.12万元,与2009年8月份车辆通行费收入6510.30万元相比, 同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Yq9np.html" rel="bookmark" class="title">websphere7 jsf 部署问题&comma;jsp处理错误，JSPG0036E&colon;找不到资源</a>
					<div>
						问题描述 websphere7+jsf+xhtml部署问题:jsp处理错误HTTP错误代码:404错误消息:JSPG0036E:找不到资源/login.jsp根本原因:java.io.FileNotF ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
